Subject: COS propagation

From: [email-masked] (Dave Finnie)
Date: Wed, 28 Jun 1995 17:52:03 +1000

> Hold your horses, people.
> 
> Don't assume that it's automatically desirable for all APPN nodes to
> have identical COS tables.  It turns out that in order to solve
> complicated network design problems involving load balancing, some
> network design tools generate APPN and I guess subarea COS tables that
> are intentionally DIFFERENT at different NNs.
> 
> Marcia Peters ............................. IBM APPN Architecture Team
> 

Totally agree. I had this in mind in my suggestion. Part of my suggestion 
was that this be operator initiated (an alternative is that a new attribute 
for COS definition be defined known as PROPAGATE, or something similar).

These network management tools would then have the option of propagating
or not.

Also, how do these network management tools work for all APPN implementations,
given that all NOF interfaces are going to be (at least slightly) different ?
My guess is that they do not. Couldn't we design into this idea the ability
for these network management applications to propagate selective versions
of a COS table to each CP ? This would then give them the advantage of
reaching nodes that they currently don't support.

Also, we had trouble with our mail server, and I received an aiw-general
message with no content. Could someone that kept it please retransmit to
me ? Ta.

Dave